<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.discount.internal.model.listener.CommerceDiscountModelListener">
  <service>
    <provide interface="com.liferay.portal.kernel.model.ModelListener"/>
  </service>
  <reference name="_commerceDiscountEntryCheckLocalService" interface="com.liferay.commerce.discount.service.CommerceDiscountEntryCheckLocalService" field="_commerceDiscountEntryCheckLocalService"/>
  <reference name="_commerceDiscountUsageEntryLocalService" interface="com.liferay.commerce.discount.service.CommerceDiscountUsageEntryLocalService" field="_commerceDiscountUsageEntryLocalService"/>
  <reference name="_userService" interface="com.liferay.portal.kernel.service.UserService" field="_userService"/>
  <implementation class="com.liferay.commerce.discount.internal.model.listener.CommerceDiscountModelListener"/>
</scr:component>
